// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.15.2
// source: command-api/command/command.proto

package command

import (
	proto "github.com/golang/protobuf/proto"
	events "gitlab.com/commonground/xbrp/desq/common/events"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type BasicReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// commandReference is an ascii string of undefined length. Users of this API
	// must make no assumptions about the contents of the commandReference string
	// as its value structure may change in future iterations of the command-api.
	//
	// The commandReference can be used to obtain the status (progress) of a
	// command. For more information, see the Status(..)(..) method.
	CommandReference string `protobuf:"bytes,1,opt,name=commandReference,proto3" json:"commandReference,omitempty"`
}

func (x *BasicReply) Reset() {
	*x = BasicReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_command_api_command_command_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *BasicReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*BasicReply) ProtoMessage() {}

func (x *BasicReply) ProtoReflect() protoreflect.Message {
	mi := &file_command_api_command_command_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use BasicReply.ProtoReflect.Descriptor instead.
func (*BasicReply) Descriptor() ([]byte, []int) {
	return file_command_api_command_command_proto_rawDescGZIP(), []int{0}
}

func (x *BasicReply) GetCommandReference() string {
	if x != nil {
		return x.CommandReference
	}
	return ""
}

type PersoonIngeschrevenCommand struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	DatumIngeschreven *timestamppb.Timestamp `protobuf:"bytes,1,opt,name=datum_ingeschreven,json=datumIngeschreven,proto3" json:"datum_ingeschreven,omitempty"`
}

func (x *PersoonIngeschrevenCommand) Reset() {
	*x = PersoonIngeschrevenCommand{}
	if protoimpl.UnsafeEnabled {
		mi := &file_command_api_command_command_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PersoonIngeschrevenCommand) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PersoonIngeschrevenCommand) ProtoMessage() {}

func (x *PersoonIngeschrevenCommand) ProtoReflect() protoreflect.Message {
	mi := &file_command_api_command_command_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PersoonIngeschrevenCommand.ProtoReflect.Descriptor instead.
func (*PersoonIngeschrevenCommand) Descriptor() ([]byte, []int) {
	return file_command_api_command_command_proto_rawDescGZIP(), []int{1}
}

func (x *PersoonIngeschrevenCommand) GetDatumIngeschreven() *timestamppb.Timestamp {
	if x != nil {
		return x.DatumIngeschreven
	}
	return nil
}

type PersoonIngeschrevenCommandReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CommandReference string `protobuf:"bytes,1,opt,name=commandReference,proto3" json:"commandReference,omitempty"`
	PersonReference  []byte `protobuf:"bytes,2,opt,name=personReference,proto3" json:"personReference,omitempty"`
}

func (x *PersoonIngeschrevenCommandReply) Reset() {
	*x = PersoonIngeschrevenCommandReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_command_api_command_command_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PersoonIngeschrevenCommandReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PersoonIngeschrevenCommandReply) ProtoMessage() {}

func (x *PersoonIngeschrevenCommandReply) ProtoReflect() protoreflect.Message {
	mi := &file_command_api_command_command_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PersoonIngeschrevenCommandReply.ProtoReflect.Descriptor instead.
func (*PersoonIngeschrevenCommandReply) Descriptor() ([]byte, []int) {
	return file_command_api_command_command_proto_rawDescGZIP(), []int{2}
}

func (x *PersoonIngeschrevenCommandReply) GetCommandReference() string {
	if x != nil {
		return x.CommandReference
	}
	return ""
}

func (x *PersoonIngeschrevenCommandReply) GetPersonReference() []byte {
	if x != nil {
		return x.PersonReference
	}
	return nil
}

type NewPersonRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *NewPersonRequest) Reset() {
	*x = NewPersonRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_command_api_command_command_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NewPersonRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NewPersonRequest) ProtoMessage() {}

func (x *NewPersonRequest) ProtoReflect() protoreflect.Message {
	mi := &file_command_api_command_command_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NewPersonRequest.ProtoReflect.Descriptor instead.
func (*NewPersonRequest) Descriptor() ([]byte, []int) {
	return file_command_api_command_command_proto_rawDescGZIP(), []int{3}
}

type NewPersonReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CommandReference string `protobuf:"bytes,1,opt,name=commandReference,proto3" json:"commandReference,omitempty"`
	PersonReference  []byte `protobuf:"bytes,2,opt,name=personReference,proto3" json:"personReference,omitempty"`
}

func (x *NewPersonReply) Reset() {
	*x = NewPersonReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_command_api_command_command_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NewPersonReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NewPersonReply) ProtoMessage() {}

func (x *NewPersonReply) ProtoReflect() protoreflect.Message {
	mi := &file_command_api_command_command_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NewPersonReply.ProtoReflect.Descriptor instead.
func (*NewPersonReply) Descriptor() ([]byte, []int) {
	return file_command_api_command_command_proto_rawDescGZIP(), []int{4}
}

func (x *NewPersonReply) GetCommandReference() string {
	if x != nil {
		return x.CommandReference
	}
	return ""
}

func (x *NewPersonReply) GetPersonReference() []byte {
	if x != nil {
		return x.PersonReference
	}
	return nil
}

type PersonNoteRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PersonReference []byte `protobuf:"bytes,1,opt,name=personReference,proto3" json:"personReference,omitempty"`
	Note            string `protobuf:"bytes,2,opt,name=note,proto3" json:"note,omitempty"`
}

func (x *PersonNoteRequest) Reset() {
	*x = PersonNoteRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_command_api_command_command_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PersonNoteRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PersonNoteRequest) ProtoMessage() {}

func (x *PersonNoteRequest) ProtoReflect() protoreflect.Message {
	mi := &file_command_api_command_command_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PersonNoteRequest.ProtoReflect.Descriptor instead.
func (*PersonNoteRequest) Descriptor() ([]byte, []int) {
	return file_command_api_command_command_proto_rawDescGZIP(), []int{5}
}

func (x *PersonNoteRequest) GetPersonReference() []byte {
	if x != nil {
		return x.PersonReference
	}
	return nil
}

func (x *PersonNoteRequest) GetNote() string {
	if x != nil {
		return x.Note
	}
	return ""
}

type StatusRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	CommandReference string `protobuf:"bytes,1,opt,name=commandReference,proto3" json:"commandReference,omitempty"`
}

func (x *StatusRequest) Reset() {
	*x = StatusRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_command_api_command_command_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatusRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatusRequest) ProtoMessage() {}

func (x *StatusRequest) ProtoReflect() protoreflect.Message {
	mi := &file_command_api_command_command_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatusRequest.ProtoReflect.Descriptor instead.
func (*StatusRequest) Descriptor() ([]byte, []int) {
	return file_command_api_command_command_proto_rawDescGZIP(), []int{6}
}

func (x *StatusRequest) GetCommandReference() string {
	if x != nil {
		return x.CommandReference
	}
	return ""
}

type StatusReply struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Journaled bool `protobuf:"varint,1,opt,name=journaled,proto3" json:"journaled,omitempty"` // gelinkt in journaal
	Published bool `protobuf:"varint,2,opt,name=published,proto3" json:"published,omitempty"` // publiek bekend
}

func (x *StatusReply) Reset() {
	*x = StatusReply{}
	if protoimpl.UnsafeEnabled {
		mi := &file_command_api_command_command_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *StatusReply) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*StatusReply) ProtoMessage() {}

func (x *StatusReply) ProtoReflect() protoreflect.Message {
	mi := &file_command_api_command_command_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use StatusReply.ProtoReflect.Descriptor instead.
func (*StatusReply) Descriptor() ([]byte, []int) {
	return file_command_api_command_command_proto_rawDescGZIP(), []int{7}
}

func (x *StatusReply) GetJournaled() bool {
	if x != nil {
		return x.Journaled
	}
	return false
}

func (x *StatusReply) GetPublished() bool {
	if x != nil {
		return x.Published
	}
	return false
}

var File_command_api_command_command_proto protoreflect.FileDescriptor

var file_command_api_command_command_proto_rawDesc = []byte{
	0x0a, 0x21, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2d, 0x61, 0x70, 0x69, 0x2f, 0x63, 0x6f,
	0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x07, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x1a, 0x1f, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1a, 0x63,
	0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2f, 0x65, 0x76, 0x65,
	0x6e, 0x74, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x38, 0x0a, 0x0a, 0x42, 0x61, 0x73,
	0x69, 0x63, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x2a, 0x0a, 0x10, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
	0x6e, 0x64, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x10, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65,
	0x6e, 0x63, 0x65, 0x22, 0x67, 0x0a, 0x1a, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e, 0x49, 0x6e,
	0x67, 0x65, 0x73, 0x63, 0x68, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e,
	0x64, 0x12, 0x49, 0x0a, 0x12, 0x64, 0x61, 0x74, 0x75, 0x6d, 0x5f, 0x69, 0x6e, 0x67, 0x65, 0x73,
	0x63, 0x68, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x11, 0x64, 0x61, 0x74, 0x75, 0x6d,
	0x49, 0x6e, 0x67, 0x65, 0x73, 0x63, 0x68, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x22, 0x77, 0x0a, 0x1f,
	0x50, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e, 0x49, 0x6e, 0x67, 0x65, 0x73, 0x63, 0x68, 0x72, 0x65,
	0x76, 0x65, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12,
	0x2a, 0x0a, 0x10, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65,
	0x6e, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
	0x6e, 0x64, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x28, 0x0a, 0x0f, 0x70,
	0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0c, 0x52, 0x0f, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x66, 0x65,
	0x72, 0x65, 0x6e, 0x63, 0x65, 0x22, 0x12, 0x0a, 0x10, 0x4e, 0x65, 0x77, 0x50, 0x65, 0x72, 0x73,
	0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x66, 0x0a, 0x0e, 0x4e, 0x65, 0x77,
	0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x12, 0x2a, 0x0a, 0x10, 0x63,
	0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x10, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x52, 0x65,
	0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x28, 0x0a, 0x0f, 0x70, 0x65, 0x72, 0x73, 0x6f,
	0x6e, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c,
	0x52, 0x0f, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63,
	0x65, 0x22, 0x51, 0x0a, 0x11, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x4e, 0x6f, 0x74, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x28, 0x0a, 0x0f, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e,
	0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0c, 0x52,
	0x0f, 0x70, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65,
	0x12, 0x12, 0x0a, 0x04, 0x6e, 0x6f, 0x74, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04,
	0x6e, 0x6f, 0x74, 0x65, 0x22, 0x3b, 0x0a, 0x0d, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x2a, 0x0a, 0x10, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
	0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x10, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63,
	0x65, 0x22, 0x49, 0x0a, 0x0b, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x70, 0x6c, 0x79,
	0x12, 0x1c, 0x0a, 0x09, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x65, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x08, 0x52, 0x09, 0x6a, 0x6f, 0x75, 0x72, 0x6e, 0x61, 0x6c, 0x65, 0x64, 0x12, 0x1c,
	0x0a, 0x09, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x65, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28,
	0x08, 0x52, 0x09, 0x70, 0x75, 0x62, 0x6c, 0x69, 0x73, 0x68, 0x65, 0x64, 0x32, 0xb4, 0x05, 0x0a,
	0x07, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x12, 0x41, 0x0a, 0x09, 0x4e, 0x65, 0x77, 0x50,
	0x65, 0x72, 0x73, 0x6f, 0x6e, 0x12, 0x19, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e,
	0x4e, 0x65, 0x77, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x4e, 0x65, 0x77, 0x50, 0x65,
	0x72, 0x73, 0x6f, 0x6e, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x3f, 0x0a, 0x0a, 0x50,
	0x65, 0x72, 0x73, 0x6f, 0x6e, 0x4e, 0x6f, 0x74, 0x65, 0x12, 0x1a, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x61, 0x6e, 0x64, 0x2e, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6e, 0x4e, 0x6f, 0x74, 0x65, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x13, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e,
	0x42, 0x61, 0x73, 0x69, 0x63, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x43, 0x0a, 0x10,
	0x4e, 0x61, 0x6d, 0x65, 0x6e, 0x56, 0x61, 0x73, 0x74, 0x67, 0x65, 0x73, 0x74, 0x65, 0x6c, 0x64,
	0x12, 0x18, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x4e, 0x61, 0x6d, 0x65, 0x6e, 0x56,
	0x61, 0x73, 0x74, 0x67, 0x65, 0x73, 0x74, 0x65, 0x6c, 0x64, 0x1a, 0x13, 0x2e, 0x63, 0x6f, 0x6d,
	0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x42, 0x61, 0x73, 0x69, 0x63, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22,
	0x00, 0x12, 0x66, 0x0a, 0x13, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e, 0x49, 0x6e, 0x67, 0x65,
	0x73, 0x63, 0x68, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x12, 0x23, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x61,
	0x6e, 0x64, 0x2e, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e, 0x49, 0x6e, 0x67, 0x65, 0x73, 0x63,
	0x68, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x1a, 0x28, 0x2e,
	0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x50, 0x65, 0x72, 0x73, 0x6f, 0x6f, 0x6e, 0x49,
	0x6e, 0x67, 0x65, 0x73, 0x63, 0x68, 0x72, 0x65, 0x76, 0x65, 0x6e, 0x43, 0x6f, 0x6d, 0x6d, 0x61,
	0x6e, 0x64, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x3b, 0x0a, 0x0c, 0x42, 0x53, 0x4e,
	0x54, 0x6f, 0x65, 0x67, 0x65, 0x6b, 0x65, 0x6e, 0x64, 0x12, 0x14, 0x2e, 0x65, 0x76, 0x65, 0x6e,
	0x74, 0x73, 0x2e, 0x42, 0x53, 0x4e, 0x54, 0x6f, 0x65, 0x67, 0x65, 0x6b, 0x65, 0x6e, 0x64, 0x1a,
	0x13, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x42, 0x61, 0x73, 0x69, 0x63, 0x52,
	0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x53, 0x0a, 0x18, 0x57, 0x6f, 0x6f, 0x6e, 0x61, 0x64,
	0x72, 0x65, 0x73, 0x4e, 0x4c, 0x47, 0x65, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x65, 0x65,
	0x72, 0x64, 0x12, 0x20, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x57, 0x6f, 0x6f, 0x6e,
	0x61, 0x64, 0x72, 0x65, 0x73, 0x4e, 0x4c, 0x47, 0x65, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72,
	0x65, 0x65, 0x72, 0x64, 0x1a, 0x13, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x42,
	0x61, 0x73, 0x69, 0x63, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x47, 0x0a, 0x12, 0x4e,
	0x61, 0x6d, 0x65, 0x6e, 0x47, 0x65, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x65, 0x65, 0x72,
	0x64, 0x12, 0x1a, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x4e, 0x61, 0x6d, 0x65, 0x6e,
	0x47, 0x65, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x65, 0x65, 0x72, 0x64, 0x1a, 0x13, 0x2e,
	0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x42, 0x61, 0x73, 0x69, 0x63, 0x52, 0x65, 0x70,
	0x6c, 0x79, 0x22, 0x00, 0x12, 0x63, 0x0a, 0x20, 0x47, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74,
	0x73, 0x61, 0x61, 0x6e, 0x64, 0x75, 0x69, 0x64, 0x69, 0x6e, 0x67, 0x47, 0x65, 0x72, 0x65, 0x67,
	0x69, 0x73, 0x74, 0x72, 0x65, 0x65, 0x72, 0x64, 0x12, 0x28, 0x2e, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x73, 0x2e, 0x47, 0x65, 0x73, 0x6c, 0x61, 0x63, 0x68, 0x74, 0x73, 0x61, 0x61, 0x6e, 0x64, 0x75,
	0x69, 0x64, 0x69, 0x6e, 0x67, 0x47, 0x65, 0x72, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x65, 0x65,
	0x72, 0x64, 0x1a, 0x13, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x42, 0x61, 0x73,
	0x69, 0x63, 0x52, 0x65, 0x70, 0x6c, 0x79, 0x22, 0x00, 0x12, 0x38, 0x0a, 0x06, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x12, 0x16, 0x2e, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x53, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x14, 0x2e, 0x63, 0x6f,
	0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x65, 0x70, 0x6c,
	0x79, 0x22, 0x00, 0x42, 0x37, 0x5a, 0x35, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f,
	0x6d, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x67, 0x72, 0x6f, 0x75, 0x6e, 0x64, 0x2f, 0x78,
	0x62, 0x72, 0x70, 0x2f, 0x64, 0x65, 0x73, 0x71, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64,
	0x2d, 0x61, 0x70, 0x69, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x61, 0x6e, 0x64, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_command_api_command_command_proto_rawDescOnce sync.Once
	file_command_api_command_command_proto_rawDescData = file_command_api_command_command_proto_rawDesc
)

func file_command_api_command_command_proto_rawDescGZIP() []byte {
	file_command_api_command_command_proto_rawDescOnce.Do(func() {
		file_command_api_command_command_proto_rawDescData = protoimpl.X.CompressGZIP(file_command_api_command_command_proto_rawDescData)
	})
	return file_command_api_command_command_proto_rawDescData
}

var file_command_api_command_command_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_command_api_command_command_proto_goTypes = []interface{}{
	(*BasicReply)(nil),                              // 0: command.BasicReply
	(*PersoonIngeschrevenCommand)(nil),              // 1: command.PersoonIngeschrevenCommand
	(*PersoonIngeschrevenCommandReply)(nil),         // 2: command.PersoonIngeschrevenCommandReply
	(*NewPersonRequest)(nil),                        // 3: command.NewPersonRequest
	(*NewPersonReply)(nil),                          // 4: command.NewPersonReply
	(*PersonNoteRequest)(nil),                       // 5: command.PersonNoteRequest
	(*StatusRequest)(nil),                           // 6: command.StatusRequest
	(*StatusReply)(nil),                             // 7: command.StatusReply
	(*timestamppb.Timestamp)(nil),                   // 8: google.protobuf.Timestamp
	(*events.NamenVastgesteld)(nil),                 // 9: events.NamenVastgesteld
	(*events.BSNToegekend)(nil),                     // 10: events.BSNToegekend
	(*events.WoonadresNLGeregistreerd)(nil),         // 11: events.WoonadresNLGeregistreerd
	(*events.NamenGeregistreerd)(nil),               // 12: events.NamenGeregistreerd
	(*events.GeslachtsaanduidingGeregistreerd)(nil), // 13: events.GeslachtsaanduidingGeregistreerd
}
var file_command_api_command_command_proto_depIdxs = []int32{
	8,  // 0: command.PersoonIngeschrevenCommand.datum_ingeschreven:type_name -> google.protobuf.Timestamp
	3,  // 1: command.Command.NewPerson:input_type -> command.NewPersonRequest
	5,  // 2: command.Command.PersonNote:input_type -> command.PersonNoteRequest
	9,  // 3: command.Command.NamenVastgesteld:input_type -> events.NamenVastgesteld
	1,  // 4: command.Command.PersoonIngeschreven:input_type -> command.PersoonIngeschrevenCommand
	10, // 5: command.Command.BSNToegekend:input_type -> events.BSNToegekend
	11, // 6: command.Command.WoonadresNLGeregistreerd:input_type -> events.WoonadresNLGeregistreerd
	12, // 7: command.Command.NamenGeregistreerd:input_type -> events.NamenGeregistreerd
	13, // 8: command.Command.GeslachtsaanduidingGeregistreerd:input_type -> events.GeslachtsaanduidingGeregistreerd
	6,  // 9: command.Command.Status:input_type -> command.StatusRequest
	4,  // 10: command.Command.NewPerson:output_type -> command.NewPersonReply
	0,  // 11: command.Command.PersonNote:output_type -> command.BasicReply
	0,  // 12: command.Command.NamenVastgesteld:output_type -> command.BasicReply
	2,  // 13: command.Command.PersoonIngeschreven:output_type -> command.PersoonIngeschrevenCommandReply
	0,  // 14: command.Command.BSNToegekend:output_type -> command.BasicReply
	0,  // 15: command.Command.WoonadresNLGeregistreerd:output_type -> command.BasicReply
	0,  // 16: command.Command.NamenGeregistreerd:output_type -> command.BasicReply
	0,  // 17: command.Command.GeslachtsaanduidingGeregistreerd:output_type -> command.BasicReply
	7,  // 18: command.Command.Status:output_type -> command.StatusReply
	10, // [10:19] is the sub-list for method output_type
	1,  // [1:10] is the sub-list for method input_type
	1,  // [1:1] is the sub-list for extension type_name
	1,  // [1:1] is the sub-list for extension extendee
	0,  // [0:1] is the sub-list for field type_name
}

func init() { file_command_api_command_command_proto_init() }
func file_command_api_command_command_proto_init() {
	if File_command_api_command_command_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_command_api_command_command_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*BasicReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_command_api_command_command_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PersoonIngeschrevenCommand); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_command_api_command_command_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PersoonIngeschrevenCommandReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_command_api_command_command_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NewPersonRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_command_api_command_command_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NewPersonReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_command_api_command_command_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PersonNoteRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_command_api_command_command_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatusRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_command_api_command_command_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*StatusReply); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_command_api_command_command_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_command_api_command_command_proto_goTypes,
		DependencyIndexes: file_command_api_command_command_proto_depIdxs,
		MessageInfos:      file_command_api_command_command_proto_msgTypes,
	}.Build()
	File_command_api_command_command_proto = out.File
	file_command_api_command_command_proto_rawDesc = nil
	file_command_api_command_command_proto_goTypes = nil
	file_command_api_command_command_proto_depIdxs = nil
}
